wreport::sys::Clock Struct Reference

Access to clock_gettime. More...

`#include <sys.h>`

## Public Member Functions

| Clock (::clockid_t clk_id)
| Initialize ts with the value of the given clock.
unsigned long long | elapsed ()
| Return the number of nanoseconds elapsed since the last time ts was updated.

## Data Fields

::clockid_t | clk_id
struct::timespec | ts

## Detailed Description

Access to clock_gettime.

The documentation for this struct was generated from the following file:

- sys.h